package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "withdraw_application")
public class WithdrawApplication {

    @Id
    private Integer id;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "is_deleted", nullable = false)
    private boolean isDeleted;

    /**
     * 状态（1-待审核，2-审核通过，3-审核不通过）
     */
    @Column(name = "audit_status", nullable = false)
    private Integer auditStatus;

    /**
     * 提现状态（1-待处理，2-处理中，3-提现失败，4-提现成功）
     */
    @Column(name = "status", nullable = false)
    private Integer status;

    /**
     * 金额
     */
    @Column(name = "amount",nullable = false)
    private double amount;

    /**
     * 用户ID
     */
    @Column(name = "user_id",nullable = false)
    private Integer userId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 银行卡表主键id
     */
    @Column(name = "card_id",nullable = false)
    private Integer cardId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public boolean isDeleted() {
        return isDeleted;
    }

    public void setDeleted(boolean deleted) {
        isDeleted = deleted;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public double getAmount() {
        return amount;
    }

    public void setAmount(double amount) {
        this.amount = amount;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getCardId() {
        return cardId;
    }

    public void setCardId(Integer cardId) {
        this.cardId = cardId;
    }

    @Override
    public String toString() {
        return "WithdrawApplication{" +
                "id=" + id +
                ", createTime=" + createTime +
                ", isDeleted=" + isDeleted +
                ", auditStatus=" + auditStatus +
                ", status=" + status +
                ", amount=" + amount +
                ", userId=" + userId +
                ", remark='" + remark + '\'' +
                ", cardId=" + cardId +
                '}';
    }
}
